
User Interface - Feature #2307

Feature # 2666 (New): web client login page improvements

enable skinning of the web client login page

05/21/2014 10:01 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 16.00 hours

Target version:    

billable: No vendor_id: GCD

Description

History

#1 - 05/21/2014 10:13 AM - Greg Shah

- Estimated time changed from 8.00 to 16.00

- Parent task set to #1811

The ui/client/chui/driver/web/chui_web.html needs to allow some basic customization by a customer.  The following should be possible:

Display a custom logo from the application jar file.  By default, no logo is displayed.  If a resource named web_client_logo.png is found in the

application jar, then it should be displayed centered and above the login form.

Provide a default style sheet to control the colors and fonts.  Make sure that the styles are properly used in the login page.  Background and

foreground colors should be implemented for the page, the entry fields, the area behind the entry fields and the text.  Use Arial/Helvetica/Sans

families and black normal size text by default.  If a web_client_styles.css is found in the application jar, then load that so that the values there

can take precedence.

Allow optional customer-specific notice text to be displayed on the page.

Allow the page title to be customized.

#2 - 08/31/2015 03:08 PM - Greg Shah

- Parent task changed from #1811 to #2666
